components:
  schemas:
    Key_ECDSACurveType:
      enum:
      - NISTP256
      - NISTP384
      - NISTP521
      - NISTK163
      - NISTP192
      - NISTP224
      - NISTK233
      - NISTB233
      - NISTK283
      - NISTK409
      - NISTB409
      - NISTT571
      type: string
      x-enumDescriptions:
        NISTB233: NIST B-233.
        NISTB409: NIST B-409.
        NISTK163: NIST K-163.
        NISTK233: NIST K-233.
        NISTK283: NIST K-283.
        NISTK409: NIST K-409.
        NISTP192: NIST P-192.
        NISTP224: NIST P-224.
        NISTP256: NIST P-256.
        NISTP384: NIST P-384.
        NISTP521: NIST P-521.
        NISTT571: NIST T-571.
      x-enumLongDescriptions:
        NISTB233: This value shall indicate the 'nistb233' curve in RFC5656.
        NISTB409: This value shall indicate the 'nistb409' curve in RFC5656.
        NISTK163: This value shall indicate the 'nistk163' curve in RFC5656.
        NISTK233: This value shall indicate the 'nistk233' curve in RFC5656.
        NISTK283: This value shall indicate the 'nistk283' curve in RFC5656.
        NISTK409: This value shall indicate the 'nistk409' curve in RFC5656.
        NISTP192: This value shall indicate the 'nistp192' curve in RFC5656.
        NISTP224: This value shall indicate the 'nistp224' curve in RFC5656.
        NISTP256: This value shall indicate the 'nistp256' curve in RFC5656.
        NISTP384: This value shall indicate the 'nistp384' curve in RFC5656.
        NISTP521: This value shall indicate the 'nistp521' curve in RFC5656.
        NISTT571: This value shall indicate the 'nistt571' curve in RFC5656.
      x-versionAdded: v1_4_0
    Key_Key:
      $ref: http://redfish.dmtf.org/schemas/v1/Key.v1_4_1.yaml#/components/schemas/Key_v1_4_1_Key
      description: The `Key` schema describes sensitive data for accessing devices
        or services.
      x-longDescription: This resource shall represent a key for a Redfish implementation.
    Key_SSHKeyType:
      enum:
      - RSA
      - DSA
      - ECDSA
      - Ed25519
      type: string
      x-enumDescriptions:
        DSA: DSA.
        ECDSA: ECDSA.
        Ed25519: Ed25519.
        RSA: RSA.
      x-enumLongDescriptions:
        DSA: This value shall indicate an RFC4253-defined 'ssh-dss' key type.
        ECDSA: This value shall indicate an RFC5656-defined ECDSA key type.
        Ed25519: This value shall indicate an RFC8709-defined 'ssh-ed25519' key type.
        RSA: This value shall indicate an RFC4253-defined 'ssh-rsa' key type.
      x-versionAdded: v1_4_0
title: '#Key.Key'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
